version: '2'
volumes:
  election-database:
services:
  app:
    image: registry.gitlab.com/sia-insa-lyon/dev/election:master
    environment:
      DB_HOST: db
      DB_USER: election
      DB_NAME: election
      DB_PASSWORD: election
      ADHESION_CLIENT_SECRET: secret
      ADHESION_CLIENT_ID: yes
      DEBUG: 'False'
    links:
      - election-db:db
    labels:
      io.rancher.container.pull_image: always
  election-db:
    image: postgres:11.8-alpine
    environment:
      POSTGRES_DB: election
      POSTGRES_USER: election
      POSTGRES_PASSWORD: election
    volumes:
      - election-database:/var/lib/postgresql/data